qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Irina Boverman (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (QPID-6420) Doc build fails to complete on RHEL 5
Date Fri, 27 Feb 2015 18:25:06 GMT

     [ https://issues.apache.org/jira/browse/QPID-6420?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Irina Boverman updated QPID-6420:
---------------------------------
    Attachment: QPID-6420.patch

Tested build, other problems are preventing me from completing it, but the build passed the
place where this problem has been seen previously.

> Doc build fails to complete on RHEL 5
> -------------------------------------
>
>                 Key: QPID-6420
>                 URL: https://issues.apache.org/jira/browse/QPID-6420
>             Project: Qpid
>          Issue Type: Bug
>          Components: Documentation
>    Affects Versions: 0.32
>         Environment: RHEL 5
>            Reporter: Irina Boverman
>         Attachments: QPID-6420.patch
>
>
> Generating docs for compound qpidTraceback (most recent call last):
>   File "setup.py", line 316, in ?
>     distclass=distclass)
>   File "/usr/lib64/python2.4/distutils/core.py", line 149, in setup
>     dist.run_commands()
>   File "/usr/lib64/python2.4/distutils/dist.py", line 946, in run_commands
>     self.run_command(cmd)
>   File "/usr/lib64/python2.4/distutils/dist.py", line 966, in run_command
>     cmd_obj.run()
>   File "/usr/lib64/python2.4/distutils/command/install.py", line 510, in run
>     self.run_command(cmd_name)
>   File "/usr/lib64/python2.4/distutils/cmd.py", line 333, in run_command
>     self.distribution.run_command(command)
>   File "/usr/lib64/python2.4/distutils/dist.py", line 966, in run_command
>     cmd_obj.run()
>   File "/usr/lib64/python2.4/distutils/command/install_lib.py", line 93, in run
>     outfiles = self.install()
>   File "setup.py", line 295, in install
>     from qpid.ops import load_types
>   File "/var/lib/jenkins/workspace/qpid-cpp-trunk-cmake/label/rhel5-64/qpid/python/qpid/__init__.py",
line 20, in ?
>     import connection
>   File "/var/lib/jenkins/workspace/qpid-cpp-trunk-cmake/label/rhel5-64/qpid/python/qpid/connection.py",
line 20, in ?
>     import datatypes, session
>   File "/var/lib/jenkins/workspace/qpid-cpp-trunk-cmake/label/rhel5-64/qpid/python/qpid/session.py",
line 21, in ?
>     from generator import command_invoker
>   File "/var/lib/jenkins/workspace/qpid-cpp-trunk-cmake/label/rhel5-64/qpid/python/qpid/generator.py",
line 22, in ?
>     from ops import *
>   File "/var/lib/jenkins/workspace/qpid-cpp-trunk-cmake/label/rhel5-64/qpid/python/qpid/ops.py",
line 20, in ?
>     from util import fill
>   File "/var/lib/jenkins/workspace/qpid-cpp-trunk-cmake/label/rhel5-64/qpid/python/qpid/util.py",
line 56
>     version = pkg[0].version if pkg and pkg[0] and pkg[0].version else version
>                               ^
> SyntaxError: invalid syntax
> make[2]: *** [src/tests/python] Error 1
> Suggested fix (contributed by Ted Ross):
> This "if" syntax was introduced post-RHEL5 and needs to be fixed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message